#
# spec file for package xfine (Version 2.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp tcl tcl-devel tix tk xdevel xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tix tk unzip util-linux vim xdevel xshared

Name:         xfine
Summary:      XF86-fine tuning tool
Version:      2.8
Release:      321
Group:        X11/Applications
Copyright:    SuSE GmbH
Source:       xfine.tar.gz
Patch:        xfine.dif

%description
xfine is like xvidtune another program to optimize the postion and
size of the graphical screen

Authors:
--------
    Marcus Schfer <ms@suse.de>

SuSE series: x

%prep
%setup -n xfine 
%patch
rm -f xinfo/libXxf86vm.a

%build
#
# copy 3x libs in front of the build
#
#cp /usr/X11R6/include/X11/extensions/xf86vmode_3x.h ./xinfo/xf86vmode.h
#cp /usr/X11R6/lib/libXxf86vm_3x.a  ./xinfo/libXxf86vm.a
make 

%install
make install
#================
# make doc links
#----------------
( 
 rm -f /usr/X11R6/bin/xfine 
 cd /usr/X11R6/bin && ln -s /var/X11R6/xfine/bin/xfine.tcl xfine 
)

%files
%dir /var/X11R6/xfine
%dir /var/X11R6/xfine/tmp
%dir /var/X11R6/xfine/config
%dir /var/X11R6/xfine/bin
%dir /var/X11R6/xfine/pixmaps
%dir /var/X11R6/xfine/lang
/usr/X11R6/bin/xfine
/var/X11R6/xfine/pixmaps/kvidtune-down.xpm
/var/X11R6/xfine/pixmaps/kvidtune-left.xpm
/var/X11R6/xfine/pixmaps/kvidtune-narrower.xpm
/var/X11R6/xfine/pixmaps/kvidtune-right.xpm
/var/X11R6/xfine/pixmaps/kvidtune-shorter.xpm
/var/X11R6/xfine/pixmaps/kvidtune-taller.xpm
/var/X11R6/xfine/pixmaps/kvidtune-up.xpm
/var/X11R6/xfine/pixmaps/kvidtune-wider.xpm
/var/X11R6/xfine/config/rc.xfine
/var/X11R6/xfine/bin/xfine.tcl
/var/X11R6/xfine/bin/UpdateConfig
/var/X11R6/xfine/bin/Xinfo
/var/X11R6/xfine/lang/xfinetext.pt_BR
/var/X11R6/xfine/lang/xfinetext.pt_PT
/var/X11R6/xfine/lang/xfinetext.ca
/var/X11R6/xfine/lang/xfinetext.cs
/var/X11R6/xfine/lang/xfinetext.de
/var/X11R6/xfine/lang/xfinetext.el
/var/X11R6/xfine/lang/xfinetext.en
/var/X11R6/xfine/lang/xfinetext.es
/var/X11R6/xfine/lang/xfinetext.fr
/var/X11R6/xfine/lang/xfinetext.hu
/var/X11R6/xfine/lang/xfinetext.id
/var/X11R6/xfine/lang/xfinetext.it
/var/X11R6/xfine/lang/xfinetext.nl
/var/X11R6/xfine/lang/xfinetext.pl
/var/X11R6/xfine/lang/xfinetext.ro
/var/X11R6/xfine/lang/xfinetext.ru
/var/X11R6/xfine/lang/xfinetext.sk
/var/X11R6/xfine/lang/xfinetext.sv
/var/X11R6/xfine/lang/xfinetext.tr

%changelog -n xfine
* Thu Mar 15 2001 - ms@suse.de
- add xshared to need for build
* Wed Mar 14 2001 - ms@suse.de
- use native libXxf86vm since the xmods_3x package was dropped
* Tue Mar 13 2001 - schwab@suse.de
- Fix to build.
* Sun Mar 11 2001 - ms@suse.de
- removed xmods_3x from neededforbuild
- switch of copy of 3.3.x libs in front of the compile
* Thu Nov 30 2000 - ms@suse.de
- remove tix.static
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Tue Jun 20 2000 - ms@suse.de
- fixed spec file
* Thu Jun 15 2000 - ms@suse.de
- fixed Xinfo.c
* Mon May 22 2000 - ms@suse.de
- update to libtcl8.3
* Fri Mar 31 2000 - nadvornik@suse.cz
- removed  /usr/X11R6/bin from filelist
* Tue Mar 07 2000 - ms@suse.de
- fixed UpdateConfig script
* Mon Feb 14 2000 - ms@suse.de
- add option -G | --global to enable global grab
  for the xfine mainwindow.
* Mon Feb 14 2000 - ms@suse.de
- add Escape binding to abort tuning
* Fri Feb 04 2000 - ms@suse.de
- hide previous and next mode buttons
* Thu Jan 27 2000 - ms@suse.de
- fixed Makefile
* Thu Jan 20 2000 - bs@suse.de
- removed xfine.tar.gz from xfine.tar.gz including xfine.tar.gz.  This
  leads to an loop in abuild src checking.
* Thu Jan 20 2000 - ms@suse.de
- add real portugese translation pt_PT
* Tue Jan 18 2000 - ms@suse.de
- fixed local codes: pt_PT -> portugese and pt_BR -> brazilian
* Wed Oct 27 1999 - ms@suse.de
- fixed translation bug within UpdateConfig
* Tue Oct 26 1999 - ms@suse.de
- fixed saving bug ( I hate tab stops ;) )
* Mon Oct 25 1999 - ms@suse.de
- fixed return codes
* Fri Oct 22 1999 - ro@suse.de
- tk.h is now in /usr/include
* Wed Oct 06 1999 - ms@suse.de
- added tix.static shell, because YaST2 does not
  include the tix installation process
* Tue Oct 05 1999 - ms@suse.de
- xfine.rpm package containing the fine tuning
  utility to use as standalone application
